<template>
    <div class="widget widget--links">
        <template v-if="windowWidth >= 768">
            <h4 class="widget__title">{{ title }}</h4>
            <ul>
                <li v-for="(url, title, index) in links_" :key="index"><a :href="url">{{ title }}</a></li>
            </ul>
        </template>
        <div class="select select--arrow" v-if="windowWidth < 768">
            <select onchange="top.location.href=this.options[this.selectedIndex].value;">
                <option selected disabled>{{ title }}</option>
                <option v-for="(url, title, index) in links_" :key="index" :value="url">{{ title }}</option>
            </select>
        </div>
    </div>
</template>

<script>
export default {
    props: ['links', 'title'],
    data() {
        return {
            links_: this.links || require('@js/samples').default.load('widgetLinks'),
            windowWidth: this.getWindowWidth()
        }
    },
    methods: {
        getWindowWidth () {
            return window.innerWidth;
        },
    },
    mounted () {
        this.$nextTick(() => {
            window.addEventListener('resize', () => {
                this.windowWidth = this.getWindowWidth();
            });
        })
    },
}
</script>
